summaryrefslogtreecommitdiff
path: root/resources/scripts/update
diff options
context:
space:
mode:
Diffstat (limited to 'resources/scripts/update')
-rwxr-xr-xresources/scripts/update/blobs/download27
-rwxr-xr-xresources/scripts/update/blobs/extract2
-rwxr-xr-xresources/scripts/update/blobs/inject7
-rwxr-xr-xresources/scripts/update/coreboot/configs5
-rwxr-xr-xresources/scripts/update/module/coreboot5
-rwxr-xr-xresources/scripts/update/module/flashrom2
-rwxr-xr-xresources/scripts/update/module/grub2
-rwxr-xr-xresources/scripts/update/module/me_cleaner2
-rwxr-xr-xresources/scripts/update/module/memtest86plus2
-rwxr-xr-xresources/scripts/update/module/seabios2
-rwxr-xr-xresources/scripts/update/module/u-boot11
-rwxr-xr-xresources/scripts/update/u-boot/configs4
12 files changed, 39 insertions, 32 deletions
diff --git a/resources/scripts/update/blobs/download b/resources/scripts/update/blobs/download
index 57bdfe62..7c775ea5 100755
--- a/resources/scripts/update/blobs/download
+++ b/resources/scripts/update/blobs/download
@@ -1,6 +1,7 @@
-#!/usr/bin/env bash
+#!/usr/bin/env sh
# SPDX-FileCopyrightText: 2022 Caleb La Grange <thonkpeasant@protonmail.com>
+# SPDX-FileCopyrightText: 2022 Ferass El Hafidi <vitali64pmemail@protonmail.com>
# SPDX-FileCopyrightText: 2023 Leah Rowe <info@minifree.org>
# SPDX-License-Identifier: GPL-3.0-only
@@ -63,23 +64,23 @@ detect_firmware()
. "${boarddir}/board.cfg"
if [ "${CONFIG_HAVE_MRC}" = "y" ]; then
- needs+=" MRC"
+ needs="${needs} MRC"
fi
if [ "${CONFIG_HAVE_IFD_BIN}" = "y" ]; then
- needs+=" IFD"
+ needs="${needs} IFD"
fi
if [ "${CONFIG_HAVE_ME_BIN}" = "y" ]; then
- needs+=" ME"
+ needs="${needs} ME"
fi
if [ "${CONFIG_HAVE_GBE_BIN}" = "y" ]; then
- needs+=" GBE"
+ needs="${needs} GBE"
fi
if [ "${CONFIG_KBC1126_FIRMWARE}" = "y" ]; then
- needs+=" EC"
+ needs="${needs} EC"
fi
if [ "${CONFIG_BOARD_DELL_E6400}" = "y" ] \
&& [ "${CONFIG_VGA_BIOS_FILE}" != "" ]; then
- needs+=" E6400VGA"
+ needs="${needs} E6400VGA"
fi
if [ -z ${needs+x} ]; then
printf 'No binary blobs needed for this board\n'
@@ -142,7 +143,9 @@ scan_sources_config()
e6400_vga_romname=${2}
;;
esac
- done <<< $(eval "awk '${awkstr}' resources/blobs/sources")
+ done << EOF
+ $(eval "awk '${awkstr}' resources/blobs/sources")
+EOF
}
build_dependencies()
@@ -178,16 +181,16 @@ download_blobs()
for need in ${needs}; do
case ${need} in
*ME*)
- download_blob_intel_me || _failed+=" me"
+ download_blob_intel_me || _failed="${_failed} me"
;;
*EC*)
- download_ec || _failed+=" ec"
+ download_ec || _failed="${_failed} ec"
;;
*E6400VGA*)
- download_e6400vga || _failed+=" e6400vga"
+ download_e6400vga || _failed="${_failed} e6400vga"
;;
*MRC*)
- ./download mrc || _failed+=" mrc"
+ ./download mrc || _failed="${_failed} mrc"
;;
esac
done
diff --git a/resources/scripts/update/blobs/extract b/resources/scripts/update/blobs/extract
index 8e9c74ed..b32ec0ea 100755
--- a/resources/scripts/update/blobs/extract
+++ b/resources/scripts/update/blobs/extract
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/usr/bin/env sh
# script to automate extracting blobs from an existing vendor bios
# SPDX-FileCopyrightText: 2022 Caleb La Grange <thonkpeasant@protonmail.com>
diff --git a/resources/scripts/update/blobs/inject b/resources/scripts/update/blobs/inject
index 51f67255..ca8aae4c 100755
--- a/resources/scripts/update/blobs/inject
+++ b/resources/scripts/update/blobs/inject
@@ -1,6 +1,7 @@
-#!/usr/bin/env bash
+#!/usr/bin/env sh
# SPDX-FileCopyrightText: 2022 Caleb La Grange <thonkpeasant@protonmail.com>
+# SPDX-FileCopyrightText: 2022 Ferass El Hafidi <vitali64pmemail@protonmail.com>
# SPDX-FileCopyrightText: 2023 Leah Rowe <info@minifree.org>
# SPDX-License-Identifier: GPL-3.0-only
@@ -111,10 +112,10 @@ detect_board()
filename=$(basename ${path})
case ${filename} in
grub_*)
- board=$(cut -d '_' -f2-3 <<<${filename})
+ board=$(echo "${filename}" | cut -d '_' -f2-3)
;;
seabios_withgrub_*)
- board=$(cut -d '_' -f3-4 <<<${filename})
+ board=$(echo "${filename}" | cut -d '_' -f3-4)
;;
*.tar.xz)
_stripped_prefix=${filename#*_}
diff --git a/resources/scripts/update/coreboot/configs b/resources/scripts/update/coreboot/configs
index 6637a340..cd5299b3 100755
--- a/resources/scripts/update/coreboot/configs
+++ b/resources/scripts/update/coreboot/configs
@@ -1,9 +1,10 @@
-#!/usr/bin/env bash
+#!/usr/bin/env sh
#
# helper script: update coreboot configs (run make oldconfig)
#
# Copyright (C) 2021 Leah Rowe <info@minifree.org>
+# Copyright (C) 2022 Ferass El Hafidi <vitali64pmemail@protonmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -54,7 +55,7 @@ updateconf()
if [ -f "${boarddir}/board.cfg" ]; then
cbtree="undefined"
- source "${boarddir}/board.cfg" # source
+ . "${boarddir}/board.cfg" # source
if [ "${cbtree}" = "undefined" ]; then
return 0
fi
diff --git a/resources/scripts/update/module/coreboot b/resources/scripts/update/module/coreboot
index 75b61a6f..2e78636b 100755
--- a/resources/scripts/update/module/coreboot
+++ b/resources/scripts/update/module/coreboot
@@ -1,9 +1,10 @@
-#!/usr/bin/env bash
+#!/usr/bin/env sh
# helper script: download coreboot
#
# Copyright (C) 2014-2016,2020,2021,2023 Leah Rowe <info@minifree.org>
# Copyright (C) 2022 Alper Nebi Yasak <alpernebiyasak@gmail.com>
+# Copyright (C) 2022 Ferass El Hafidi <vitali64pmemail@protonmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -86,7 +87,7 @@ fetch_coreboot_config()
check_config_for_board "${_board}" || return 1
# This is to override $cbrevision and $cbtree
- source "${cbcfgsdir}/${_board}/board.cfg" || exit 1
+ . "${cbcfgsdir}/${_board}/board.cfg" || exit 1
if [ "${_board}" != "${cbtree}" ]; then
_board="${cbtree}"
diff --git a/resources/scripts/update/module/flashrom b/resources/scripts/update/module/flashrom
index 6aa3cab4..def33ffb 100755
--- a/resources/scripts/update/module/flashrom
+++ b/resources/scripts/update/module/flashrom
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/usr/bin/env sh
# helper script: downloads flashrom and patches it
#
diff --git a/resources/scripts/update/module/grub b/resources/scripts/update/module/grub
index 0620a775..ff1ce55c 100755
--- a/resources/scripts/update/module/grub
+++ b/resources/scripts/update/module/grub
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/usr/bin/env sh
# helper script: Downloads GRUB and patches it.
#
diff --git a/resources/scripts/update/module/me_cleaner b/resources/scripts/update/module/me_cleaner
index 7dd52be7..93173257 100755
--- a/resources/scripts/update/module/me_cleaner
+++ b/resources/scripts/update/module/me_cleaner
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/usr/bin/env sh
#
# Copyright (C) 2020 Leah Rowe <info@minifree.org>
#
diff --git a/resources/scripts/update/module/memtest86plus b/resources/scripts/update/module/memtest86plus
index bceadbd9..e4106f38 100755
--- a/resources/scripts/update/module/memtest86plus
+++ b/resources/scripts/update/module/memtest86plus
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/usr/bin/env sh
# helper script: Downloads MemTest86+ and patches it
#
diff --git a/resources/scripts/update/module/seabios b/resources/scripts/update/module/seabios
index fd72de65..666c32ae 100755
--- a/resources/scripts/update/module/seabios
+++ b/resources/scripts/update/module/seabios
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/usr/bin/env sh
#
# Copyright (C) 2015, 2016, 2021 Leah Rowe <info@minifree.org>
#
diff --git a/resources/scripts/update/module/u-boot b/resources/scripts/update/module/u-boot
index 1af513a4..161608c9 100755
--- a/resources/scripts/update/module/u-boot
+++ b/resources/scripts/update/module/u-boot
@@ -1,9 +1,10 @@
-#!/usr/bin/env bash
+#!/usr/bin/env sh
# helper script: download u-boot
#
# Copyright (C) 2021 Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
# Copyright (C) 2022 Alper Nebi Yasak <alpernebiyasak@gmail.com>
+# Copyright (C) 2022 Ferass El Hafidi <vitali64pmemail@protonmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -22,7 +23,7 @@
[ "x${DEBUG+set}" = 'xset' ] && set -v
set -u -e
-[[ -f build_error ]] && rm -f build_error
+[ -f build_error ] && rm -f build_error
list_supported_boards() {
for board in resources/u-boot/*; do
@@ -55,7 +56,7 @@ downloadfor() {
fi
# This is to override $ubrevision and $ubtree
- source "resources/u-boot/${board}/board.cfg" || touch build_error
+ . "resources/u-boot/${board}/board.cfg" || touch build_error
if [ -f build_error ]; then
printf "ERROR: %s: problem sourcing %s/board.cfg\n" \
"download/u-boot" "${board}"
@@ -239,10 +240,10 @@ if [ $# -eq 0 ] ; then
download_uboot_board "${board}"
done
exit 0
-elif [ $# -eq 1 -a "$1" == "--help" ] ; then
+elif [ $# -eq 1 ] && [ "$1" = "--help" ] ; then
usage
exit 0
-elif [ $# -eq 1 -a "$1" == "--list-boards" ] ; then
+elif [ $# -eq 1 ] && [ "$1" = "--list-boards" ] ; then
list_supported_boards
exit 0
elif [ $# -eq 1 ] ; then
diff --git a/resources/scripts/update/u-boot/configs b/resources/scripts/update/u-boot/configs
index 9b67eede..b01ef0db 100755
--- a/resources/scripts/update/u-boot/configs
+++ b/resources/scripts/update/u-boot/configs
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/usr/bin/env sh
#
# helper script: update U-Boot configs (run make oldconfig)
@@ -33,7 +33,7 @@ updateconf() {
board="$1"
if [ -f "resources/u-boot/${board}/board.cfg" ]; then
ubtree="undefined"
- source "resources/u-boot/${board}/board.cfg" # source
+ . "resources/u-boot/${board}/board.cfg" # source
if [ "${ubtree}" = "undefined" ]; then
return 0
fi